Debian Bug report logs - #396169
linux-image-2.6.18-1-xen-686: Does not support PC serial ports

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Russell Coker <russell@coker.com.au>

Date: Mon, 30 Oct 2006 10:03:06 UTC

Severity: normal

Tags: wontfix

Merged with 397797, 428895

Done: maximilian attems <max@stro.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396169; Package linux-image-2.6.18-1-xen-686. Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.18-1-xen-686: Does not support PC serial ports
Date: Mon, 30 Oct 2006 20:53:14 +1100
Package: linux-image-2.6.18-1-xen-686
Severity: important

It seems that one serial port is supported for a console, but the other
serial port (two ports was a standard feature in PCs until very
recently) is not supported in any way.  If you want to use a modem, UPS,
or other device that connects to a serial port then Xen does not support
it.

I could live without serial port support in domU, but I believe that
it's a necessary feature in dom0!

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396169; Package linux-image-2.6.18-1-xen-686. Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 396169@bugs.debian.org (full text, mbox):

From: Brian May <bam@debian.org>
To: 396169@bugs.debian.org
Cc: Russell Coker <russell@coker.com.au>
Subject: linux-image-2.6.18-1-xen-686: Does not support PC serial ports
Date: Tue, 31 Oct 2006 09:45:52 +1100
Hello,

I believe this is related to the following configuration option:

snoopy:~# less /boot/config-2.6.18-1-xen-686 | grep CONFIG_XEN_DISABLE_SERIAL
CONFIG_XEN_DISABLE_SERIAL=y

I am still trying to work out what this does, and why the default of
on is considered good. However, I really think a setting such as this
(if it really is required) should be configured in some other manner:

* command line parameter to hypervisor OR

* command line parameter to Linux OR

* add appropriate kernel module to a blacklist so it doesn't get
  automatically loaded.

I believe the last option would do exactly the same thing as
CONFIG_XEN_DISABLE_SERIAL (but correct me if I am mistaken).

As it is, it would appear that I need to recompile the kernel to get
serial support working.

Thanks.
-- 
Brian May <bam@debian.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396169; Package linux-image-2.6.18-1-xen-686. Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 396169@bugs.debian.org (full text, mbox):

From: Brian May <bam@debian.org>
To: 396169@bugs.debian.org
Cc: Russell Coker <russell@coker.com.au>
Subject: Re: linux-image-2.6.18-1-xen-686: Does not support PC serial ports
Date: Fri, 03 Nov 2006 14:35:43 +1100
>>>>> "Brian" == Brian May <bam@debian.org> writes:

    Brian> I believe this is related to the following configuration option:

    Brian> snoopy:~# less /boot/config-2.6.18-1-xen-686 | grep CONFIG_XEN_DISABLE_SERIAL
    Brian> CONFIG_XEN_DISABLE_SERIAL=y

Passing the following option to the Linux kernel appears to have
solved this issue:

xencons=off

Also if I pass the following parameter to the hypervisor, Linux will
show only 2 serial ports instead of 4 (I believe my motherboard has
chipset support for 2) - still I bit confused where the other two come
from.

console=vga

My guess is that the CONFIG_XEN_DISABLE_SERIAL has no effect when
serial I/O is compiled as a module.

(note: I haven't yet tested this by talking to a real serial device,
just looked at /dev/ttyS* and dmesg).
-- 
Brian May <bam@debian.org>



Bug reassigned from package `linux-image-2.6.18-1-xen-686' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#396169; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 396169@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 396169@bugs.debian.org, 428895@bugs.debian.org
Subject: wontfix
Date: Fri, 15 Jun 2007 14:35:55 +0200
tags 396169 wontfix
severity 396169 normal
reassign 428895 linux-2.6
forcemerge 396169 428895
thanks

This bug can't be fixed. Enabling the serial modules makes things
worse.

Bastian

-- 
Star Trek Lives!



Tags added: wontfix Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2007 12:39:03 GMT) Full text and rfc822 format available.

Severity set to `normal' from `important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2007 12:39:05 GMT) Full text and rfc822 format available.

Forcibly Merged 396169 428895. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2007 12:39:09 GMT) Full text and rfc822 format available.

Forcibly Merged 396169 397797 428895. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Fri, 15 Jun 2007 14:57:02 GMT) Full text and rfc822 format available.

Disconnected #396169 from all other report(s). Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Tue, 03 Jun 2008 21:33:03 GMT) Full text and rfc822 format available.

Merged 396169 397797 428895. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Thu, 20 Nov 2008 17:03:09 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Mon, 15 Feb 2010 19:27:03 GMT) Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. (Mon, 15 Feb 2010 19:27:03 GMT) Full text and rfc822 format available.

Message #39 received at 396169-done@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: undisclosed-recipients: ;
Subject: Re: Xen || vserver troubles
Date: Mon, 15 Feb 2010 20:18:14 +0100
the 2.6.18 linux images from Etch are no longer supported, thus closing
this bug report.  As both Xen or vserver stayed out of tree it is very
unlikely that they improved a lot since.

With modern hardware kvm or lxc (linux containers) are recommended.
if you still haven't upgraded to Lenny please notice that Etch has
no security support any more as of today:
http://www.debian.org/News/2010/20100121


if you can reproduce said bugs with 2.6.32 linux images from
unstable please shout on said box and bug can be reopened:
reportbug -N <bugnr>

thank you for your report.





Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Mon, 15 Feb 2010 19:27:04 GMT) Full text and rfc822 format available.

Notification sent to Miquel van Smoorenburg <miquels@cistron.nl>:
Bug acknowledged by developer. (Mon, 15 Feb 2010 19:27:04 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <max@stro.at>:
You have taken responsibility. (Mon, 15 Feb 2010 19:27:04 GMT) Full text and rfc822 format available.

Notification sent to Dave Pifke <dave@birthdayalarm.com>:
Bug acknowledged by developer. (Mon, 15 Feb 2010 19:27:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Mar 2010 07:37:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:28:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.